label {
    font-family: catamaran;
    font-size: 16px;
    color: #111;
    position: relative;
    float: right;
    padding-right: 15px;
    right: 20px;
    top: 2.5px;
  }
  .dark-theme label {
    color: #fff;
  }
  label[for="darkmode-toggle"] {
    width: 25px;
    height: 20px;
    position: relative;
    float: right;
    right: 30px;
    top: 0;
    background: #ebebeb;
    border-radius: 200px;
    box-shadow: inset 0 5px 15px rgba(0, 0, 0, 0.4), inset 0 -5px 15px rgba(255, 255, 255, 0.4);
    cursor: pointer;
    transition: 0.3s;
    -webkit-tap-highlight-color: transparent;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    outline: none !important;
  }
  label[for="darkmode-toggle"]:after{
    content: "";
    width: 18px;
    height: 18px;
    position: absolute;
    top: 1px;
    left: 1px;
    background: linear-gradient(180deg, #ffcc89, #d8860b);
    border-radius: 180px;
    box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
    transition: 0.3s;
  }
  input {
    width: 0;
    height: 0;
    visibility: hidden;
  }
  input:checked + label[for="darkmode-toggle"] {
    background: #242424;
  }
  input:checked + label[for="darkmode-toggle"]:after {
    left: 39px;
    transform: translateX(-100%);
    background: linear-gradient(180deg, #777, #3a3a3a);
  }
  label[for="darkmode-toggle"]:active:after{
    width: 25px;
  }
  label[for="darkmode-toggle"] svg {
    position: absolute;
    top: -390px;
    width: 16px;
    z-index: 100;
    pointer-events: none;
  }
  label[for="darkmode-toggle"] svg.sun {
    left: 2px;
    fill: #ffcc89;
    transition: 0.3s;
  }
  label[for="darkmode-toggle"] svg.moon {
    left: 22px;
    fill: #fff;
    transition: 0.3s;
  }
  input:checked + label[for="darkmode-toggle"] svg.sun {
    fill: #7e7e7e
  }
  input:checked + label[for="darkmode-toggle"] svg.moon {
    fill: #7e7e7e
  }